Package net.shibboleth.idp.cas.config

# Class ConfigLookupFunction<T extends AbstractProtocolConfiguration>

java.lang.Object
net.shibboleth.idp.cas.config.ConfigLookupFunction<T>

Type Parameters:
  `T` - type of profile configuration

All Implemented Interfaces:
  `Function<ProfileRequestContext,T>`

public class ConfigLookupFunction<T extends AbstractProtocolConfiguration> extends Object implements Function<ProfileRequestContext,T>
Lookup function for extracting CAS profile configuration from the profile request context.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Class<T>`
`configClass`
Type of profile configuration class.

## Constructor Summary

Constructors
Constructor
Description
`ConfigLookupFunction(Class<T> clazz)`
Creates a new instance.

## Method Summary

Modifier and Type
Method
Description
`T`
`apply(ProfileRequestContext profileRequestContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### configClass

@Nonnull private final Class<T extends AbstractProtocolConfiguration> configClass
Type of profile configuration class.

## Constructor Details

### ConfigLookupFunction

public ConfigLookupFunction(@Nonnull Class<T> clazz)
Creates a new instance.

Parameters:
  `clazz` - Profile configuration class.

## Method Details

### apply

@Nullable public T apply(@Nullable ProfileRequestContext profileRequestContext)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,T extends AbstractProtocolConfiguration>`